# SVN Module

Provides functions to access and operate on SVN repositories through.

## Method Overview

Method | Description
--- | ---
createRepositoryLocation() | Creates repository location.
getRevision() | Get the revision for a given resource.
importProjectFromSVN() | Imports project from repository location.

## Methods

### createRepositoryLocation

org.eclipse.team.svn.core.resource.IRepositoryLocation createRepositoryLocation(java.lang.String rootUrl, [java.lang.String username], [java.lang.String password])

Creates repository location. Creates repository location with rooturl, if location already exists: return existing location

rootUrl
  defines the root URL of the repository
username
  registered username of the repositoryOptional: defaults to <null>.
password
  password depending to the usernameOptional: defaults to <null>.

repository location which is created, or the existing repository location

### getRevision

long getRevision(java.lang.Object resource)

Get the revision for a given resource.

resource
  resource to get revision for

revision number

### importProjectFromSVN

void importProjectFromSVN(java.lang.Object rootLocation, java.lang.String projectLocations)

Imports project from repository location. Imports project (given with projectLocation) from repository location.

rootLocation
  can be a string (-> generate RepositoryLocation automatically) or already a RepositoryLocation
projectLocations
  array from relative paths to project locations

Exception